dcraw(1)

NOME
dcraw - decodificador de linha de comando para fotos cruas (raw)

SINOPSE
dcraw [OPÇÃO]... [ARQUIVO]...

DESCRIÇÃO
dcraw decodifica fotos cruas, mostra metadados e extrai miniaturas.

OPÇÕES GERAIS

-v  Imprime mensagens detalhadas, não somente avisos e erros.

-c  Grava as imagens decodificadas ou miniaturas na saída padrão.

-e  Extrai a miniatura gerada pela câmera, e não a imagem crua. Você obterá uma imagem JPEG ou PPM, dependendo da câmera.

-z  Muda os horários de acesso e modificação de um AVI, JPEG, TIFF ou arquivo cru para quando a foto foi feita, supondo que o relógio da câmera foi configurado para Horário Universal.

-i  Identifica os arquivos, mas não os decodifica. O status de saída é 0 se o dcraw conseguiu decodificar o último arquivo, e 1 caso contrário. -i -v mostra metadados.

    dcraw não pode decodificar arquivos JPEG!!

OPÇÕES DE REPARO

-P pixelsmortos.txt
    Lê a lista de pixels mortos deste arquivo, em vez de ".badpixels" Veja ARQUIVOS para uma descrição do formato.

-K escuro.pgm
    Subtrai um quadro escuro dos dados crus. Para gerar um quadro escuro, faça uma foto crua sem nenhuma luz, e depois faça dcraw -D -4 -j -t 0.

-k negro
    Se as sombras aparecerem embaçadas, você precisa aumentar o nível de negro. Para medir isso, aplique pamsumm -mean ao quadro escuro gerado acima.

-S saturação
    Se as áreas claras aparecerem rosadas, você deve diminuir o nível de saturação. Para medir isso, faça uma foto de algo brilhante, depois faça dcraw -D -4 -j -c foto.raw | pamsumm -max

    O negro e saturação padrões estão, via de regra, corretos.

-n valor_limite_de_ruído
    Usa wavelets para remover ruído, preservando detalhes reais. O melhor valor deve estar entre 100 e 1000.

-C mag_vermelho mag_azul
    Amplia as camadas cruas vermelha e azul pelos fatores dados, tipicamente 0.999 a 1.001, para corrigir aberrações cromáticas.

-H 0
    Elimina todas as superexposições, substituindo por branco sólido (padrão).

-H 1
    Deixa superexposições não-cortadas em vários tons de rosa.

-H 2
    Mistura valores cortados e não-cortados para obter uma transição gradual para branco.

-H 3+
    Reconstrói as superexposições. Valores baixos tendem ao branco; valores altos tendem a cores. Tente -H 5 como uma medida. Se não for suficiente, faça -H 9, elimine as superexposições não-brancas, e cole-as em uma imagem gerada com -H 3.

OPÇÕES DE COR
Por padrão, dcraw usa um balanço de branco fixo baseado em um cartão de cores iluminado com uma lâmpada padrão D65.

-w  Usa o balanço de branco especificado pela câmera. Se não for encontrado, imprime um aviso e usa outro método.

-a  Calcula o balanço de branco ponderando a imagem inteira.

-A esquerda alto largura altura
    Calcula o balanço de branco ponderando uma área retangular. Use dcraw -j -t 0 e selecione uma área de cinza neutro.

-r mul0 mul1 mul2 mul3
    Especifica o seu próprio balanço de branco cru. Estes multiplicadores podem ser copiados e colados da saída de dcraw -v.

+M ou -M
    Usa (ou não) a matriz de cores dos metadados da câmera. O padrão é +M se -w está definido, -M caso contrário. Esta opção afeta somente câmeras Olympus, Leaf e Phase One.

-o [0-6]
    Selecione o espaço de cor de saída quando a opção -p não for usada: 0 Cor crua (específica de cada câmera)
    1 sRGB D65 (padrão)
    2 Adobe RGB (1998) D65
    3 Wide Gamut RGB D65
    4 Kodak ProPhoto RGB D65
    5 XYZ
    6 ACES

-p camera.icm [ -o output.icm ]
    Usa perfis ICC para definir o espaço de cor crua da câmera, e o desejado espaço de cor de saída (que é sRGB por padrão).

-p embed
    Usa o perfil ICC inserido na foto crua.

OPÇÕES DE INTERPOLAÇÃO

-d  Mostra dados crus como escala de cinza, sem interpolação. Bom para fotografar documentos em preto-e-branco.

-D  O mesmo que -d, porém totalmente cru (sem redimensionamento de cor).

-h  Gera uma imagem em cor com metade do tamanho. Duas vezes mais rápido do que -q 0.

-q 0
    Usa interpolação bilinear de alta velocidade e baixa qualidade.

-q 1
    Usa interpolação de Número Variável de Gradientes (VNG).

-q 2
    Usa interpolação por padrão de pixel (PPG).

-q 3
    Usa interpolação Adaptativa Direcionada para Homogeneidade (AHD).

-f  Interpola RGGB como quatro cores. Use isso se a saída resultante mostrar falsos padrões em 2x2 com VNG ou borrões com AHD.

-m número_de_passagens
    Depois da interpolação, limpa artefatos de cor aplicando repetidamente um filtro mediano 3x3 nos canais R-G e B-G.

OPÇÕES DE SAÍDA
Por padrão, dcraw escreve PGM/PPM/PAM com amostras de 8 bits, curva de gama BT.709, nível de branco baseado em histograma e nenhum metadado.

-W  Usa um nível de branco fixo, ignorando o histograma da imagem.

-b brilho
    Divide o nível de branco por este número, 1.0 por padrão.

-g potência inclinação_máxima
    Define a curva gamma, por padrão BT.709 (-g 2.222 4.5). Se preferir gamma sRGB, use -g 2.4 12.92. Para uma curva simples de potência, defina a inclinação máxima em zero.

-6  Grava dezesseis bits por amostra, em vez de oito.

-4  16-bit linear, o mesmo que -6 -W -g 1 1.

-T  Grava a saída em TIFF com metadados, em vez de PGM/PPM/PAM.

-t [0-7,90,180,270]
    Inverte a imagem de saída. Por padrão, dcraw aplica a inversão especificada pela câmera. -t 0 desabilita qualquer inversão.

-j  Para as câmeras Fuji Super CCD, mostra a imagem inclinada 45 graus. Para câmeras com pixels não quadrados, não estica a imagem para a sua proporção correta. De qualquer forma, essa opção assegura que cada pixel de saída corresponde a um pixel cru.

-s [0..N-1] ou -s all
    Se um arquivo contém N imagens cruas, escolha uma ou "all" (todas) para decodificar. Por exemplo, as câmeras Fuji Super CCD SR geram uma segunda imagem subexposta quatro pontos para mostrar detalhe nas áreas superexpostas.

ARQUIVOS

./.badpixels, ../.badpixels, ../../.badpixels, ...
    Lista de pixels mortos da sua câmera, para que o dcraw possa interpolar entre eles. Cada linha especifica coluna, linha e a hora UNIX de morte para cada pixel. Por exemplo:

     962   91 1028350000  # morreu entre 1 e 4 de Agosto, de 2002
    1285 1067 0           # não sei quando esse pixel morreu

    Essas coordenadas devem ficar antes de qualquer corte ou rotação, portanto use dcraw -j -t 0 para localizar os pixels mortos.

VEJA TAMBÉM
pgm(5), ppm(5), pam(5), pamsumm(1), pnmgamma(1), pnmtotiff(1), pnmtopng(1), gphoto2(1), cjpeg(1), djpeg(1)

AUTOR
Escrito por David Coffin, dcoffin a cybercom o net

TRADUTOR
Bruno Buys, brunobuys a gmail o com